summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andreo Rissardo <andreotec@gmail.com>2022-08-12 21:01:23 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-08-13 10:40:39 +0700
commit8c305f98ea239f6b181c629997a87a261f102796 (patch)
treed7690931a7980e26a207c120d18619ad8fa12e51
parent6aec6d2a311eaaf20d67457cf22a5cfaf28a6736 (diff)
downloadslackbuilds-8c305f98ea239f6b181c629997a87a261f102796.tar.gz
slackbuilds-8c305f98ea239f6b181c629997a87a261f102796.tar.xz
business/bisq: Added (Exchange, Decentralized.)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--business/bisq/README5
-rw-r--r--business/bisq/bisq.SlackBuild99
-rw-r--r--business/bisq/bisq.info10
-rw-r--r--business/bisq/doinst.sh11
-rw-r--r--business/bisq/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/business/bisq/README b/business/bisq/README
new file mode 100644
index 0000000000..1d04c90fd8
--- /dev/null
+++ b/business/bisq/README
@@ -0,0 +1,5 @@
+Bisq (Exchange, Decentralized.)
+
+Buy and sell bitcoin for fiat (or other cryptocurrencies) privately
+and securely using Bisq's peer-to-peer network and open-source desktop
+software. No registration required.
diff --git a/business/bisq/bisq.SlackBuild b/business/bisq/bisq.SlackBuild
new file mode 100644
index 0000000000..bfc1262c39
--- /dev/null
+++ b/business/bisq/bisq.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for bisq
+
+# Copyright 2022 Andreo Rissardo <andreotec@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=bisq
+SRCNAM=Bisq
+VERSION=${VERSION:-1.9.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+DEBBUILD=${DEBBUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Abort build if architecture is not 64-bit.
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+rpm2cpio < $CWD/${SRCNAM}-64bit-${VERSION}.rpm | cpio -imdv
+chown -R root:root .
+find -L . \
+\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+-o -perm 511 \) -exec chmod 755 {} \; -o \
+\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# bisq has its own symlinks from opt to bin
+cp -ap {opt,usr} $PKG/
+
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+#Set command line
+mkdir -p $PKG/usr/bin
+echo "#!/bin/bash" > $PKG/usr/bin/$PRGNAM
+echo "exec /opt/bisq/bin/Bisq" >> $PKG/usr/bin/$PRGNAM
+chmod +x $PKG/usr/bin/$PRGNAM
+mkdir -p $PKG/usr/share/applications
+mv $PKG/opt/bisq/lib/bisq-Bisq.desktop $PKG/usr/share/applications/Bisq.desktop
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/business/bisq/bisq.info b/business/bisq/bisq.info
new file mode 100644
index 0000000000..c425c811ea
--- /dev/null
+++ b/business/bisq/bisq.info
@@ -0,0 +1,10 @@
+PRGNAM="bisq"
+VERSION="1.9.4"
+HOMEPAGE="https://bisq.network/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/bisq-network/bisq/releases/download/v1.9.4/Bisq-64bit-1.9.4.rpm"
+MD5SUM_x86_64="7ced38dbeaaf2f2e726fa77bbf68ea55"
+REQUIRES=""
+MAINTAINER="Andreo Rissardo"
+EMAIL="andreotec@gmail.com"
diff --git a/business/bisq/doinst.sh b/business/bisq/doinst.sh
new file mode 100644
index 0000000000..ea6e67c7b9
--- /dev/null
+++ b/business/bisq/doinst.sh
@@ -0,0 +1,11 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+fi
diff --git a/business/bisq/slack-desc b/business/bisq/slack-desc
new file mode 100644
index 0000000000..4143244db3
--- /dev/null
+++ b/business/bisq/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bisq: Bisq (Exchange, Decentralized.)
+bisq:
+bisq: Buy and sell bitcoin for fiat (or other cryptocurrencies) privately
+bisq: and securely using Bisq's peer-to-peer network and open-source
+bisq: desktop software. No registration required.
+bisq:
+bisq:
+bisq:
+bisq:
+bisq: Homepage: https://bisq.network
+bisq: